| Home | Libraries | People | FAQ | More

## Global print

boost::xpressive::print — Matches a printable character.

## Synopsis

    // In header: <boost/xpressive/regex_primitives.hpp>

    unspecified print;

## Description

The regex traits are used to determine which characters are printable. To match any character that is not printable, use ~print.

| Note
print is equivalent to /[[:print:]]/ in perl. ~print is equivalent to /[[:^print:]]/ in perl.